Bug 790733 - Install pdebuild script into _bindir
Install pdebuild script into _bindir
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-15 04:46 EST by Alexander Kurtakov
Modified: 2014-01-12 19:26 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 17:21:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2012-02-15 04:46:53 EST
pdebuild script (_libdir/eclipse/buildscripts/pdebuild ) should be installed into _bindir. The positive effects of this would be:
* more easier testing with pdebuild 
* no need for defining eclipse_base _libdir/eclipse into every eclipse plugin spec file and pdebuild can simply be called

Ideally only pdebuild will be moved to _bindir and it should be verified that it is still working. Probably we should name it smth like eclipse-pdebuild to ignore any possible conflicts (debian has pdebuild script that has nothing to do with eclipse).
Comment 1 Alexander Kurtakov 2012-02-15 04:47:21 EST
Chris, 
one more for you :).
Comment 2 Fedora Update System 2012-04-02 07:30:34 EDT
eclipse-3.8.0-0.21.I201203201400.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-3.8.0-0.21.I201203201400.fc17
Comment 3 Fedora Update System 2012-04-02 13:46:56 EDT
Package eclipse-3.8.0-0.21.I201203201400.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-3.8.0-0.21.I201203201400.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5222/eclipse-3.8.0-0.21.I201203201400.fc17
then log in and leave karma (feedback).
Comment 4 Alexander Kurtakov 2012-04-18 17:21:53 EDT
Closing as it hit f17 sometime ago.

Note You need to log in before you can comment on or make changes to this bug.